
/* $Id: usb_io.h,v 1.14 2005/08/26 16:25:34 purbanec Exp $ */

/*

  Copyright (C) 2004 Peter Urbanec <toppy at urbanec.net>

  This file is part of puppy.

  puppy is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  puppy is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with puppy; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _USB_IO_H
#define _USB_IO_H 1

#ifdef USE_LIBUSB
#include <usb.h>
#else

#include <sys/types.h>
#include <linux/types.h>
#include <linux/version.h>

#include <linux/usb.h>
#include <linux/usbdevice_fs.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
/*#include "usb_ch9.h"*/
#endif

struct usb_dev_handle {
	int fd;
};

typedef struct usb_dev_handle usb_dev_handle;

int usb_bulk_read(struct usb_dev_handle *dev, int ep, __u8 * bytes, int size, int timeout);
int usb_bulk_write(struct usb_dev_handle *dev, int ep, __u8 * bytes, int length, int timeout);

#endif

#endif /* _USB_IO_H */
